
/**
 *   WARNING: This file is intended to be used within MySheerID.
 *   This file is not intended for use in other contexts and there are no guarantees about its behavior outside of MySheerID.
 */ 
/**
 *   VERSION: 2.239.0-alpha.0
 *   BUILD_TIMESTAMP: 1780013005605
 *   BUILD_DATE: Fri May 29 2026 00:03:25 GMT+0000 (Coordinated Universal Time)
 *   BUILD_COMMIT: 3344b6c0fd9fa858907db310cfb1ef5e0d224da2
 */
import { r as f, aW as ee, aX as te, aY as bt, Z as Ut, R as yt, aq as g, k as De, aZ as Ve, j as t, a_ as s, aj as c, F as h, i as vt, a6 as Ue, ae as jt, a$ as Dt, p as _t, b0 as We, L as At, M as Rt, b1 as Nt, s as wt, b2 as Ct, b3 as Tt, f as Ft, q as Me, V as ye, ah as $e, E as Ke, b4 as St, B as Ot } from "../_mysheerid-preview.js";
import { u as Lt, D as Mt, b as kt } from "./useMetrics-DpRhEEYu.js";
function Pt({
  title: e,
  titleId: a,
  ...o
}, r) {
  return /* @__PURE__ */ f.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    strokeWidth: 1.5,
    stroke: "currentColor",
    "aria-hidden": "true",
    "data-slot": "icon",
    ref: r,
    "aria-labelledby": a
  }, o), e ? /* @__PURE__ */ f.createElement("title", {
    id: a
  }, e) : null, /* @__PURE__ */ f.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M12 9v6m3-3H9m12 0a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"
  }));
}
const Bt = /* @__PURE__ */ f.forwardRef(Pt);
function Yt({
  title: e,
  titleId: a,
  ...o
}, r) {
  return /* @__PURE__ */ f.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    strokeWidth: 1.5,
    stroke: "currentColor",
    "aria-hidden": "true",
    "data-slot": "icon",
    ref: r,
    "aria-labelledby": a
  }, o), e ? /* @__PURE__ */ f.createElement("title", {
    id: a
  }, e) : null, /* @__PURE__ */ f.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M12 4.5v15m7.5-7.5h-15"
  }));
}
const Ht = /* @__PURE__ */ f.forwardRef(Yt);
var Vt = /* @__PURE__ */ new Map([
  // https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Common_types
  ["aac", "audio/aac"],
  ["abw", "application/x-abiword"],
  ["arc", "application/x-freearc"],
  ["avif", "image/avif"],
  ["avi", "video/x-msvideo"],
  ["azw", "application/vnd.amazon.ebook"],
  ["bin", "application/octet-stream"],
  ["bmp", "image/bmp"],
  ["bz", "application/x-bzip"],
  ["bz2", "application/x-bzip2"],
  ["cda", "application/x-cdf"],
  ["csh", "application/x-csh"],
  ["css", "text/css"],
  ["csv", "text/csv"],
  ["doc", "application/msword"],
  ["docx", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"],
  ["eot", "application/vnd.ms-fontobject"],
  ["epub", "application/epub+zip"],
  ["gz", "application/gzip"],
  ["gif", "image/gif"],
  ["htm", "text/html"],
  ["html", "text/html"],
  ["ico", "image/vnd.microsoft.icon"],
  ["ics", "text/calendar"],
  ["jar", "application/java-archive"],
  ["jpeg", "image/jpeg"],
  ["jpg", "image/jpeg"],
  ["js", "text/javascript"],
  ["json", "application/json"],
  ["jsonld", "application/ld+json"],
  ["mid", "audio/midi"],
  ["midi", "audio/midi"],
  ["mjs", "text/javascript"],
  ["mp3", "audio/mpeg"],
  ["mp4", "video/mp4"],
  ["mpeg", "video/mpeg"],
  ["mpkg", "application/vnd.apple.installer+xml"],
  ["odp", "application/vnd.oasis.opendocument.presentation"],
  ["ods", "application/vnd.oasis.opendocument.spreadsheet"],
  ["odt", "application/vnd.oasis.opendocument.text"],
  ["oga", "audio/ogg"],
  ["ogv", "video/ogg"],
  ["ogx", "application/ogg"],
  ["opus", "audio/opus"],
  ["otf", "font/otf"],
  ["png", "image/png"],
  ["pdf", "application/pdf"],
  ["php", "application/x-httpd-php"],
  ["ppt", "application/vnd.ms-powerpoint"],
  ["pptx", "application/vnd.openxmlformats-officedocument.presentationml.presentation"],
  ["rar", "application/vnd.rar"],
  ["rtf", "application/rtf"],
  ["sh", "application/x-sh"],
  ["svg", "image/svg+xml"],
  ["swf", "application/x-shockwave-flash"],
  ["tar", "application/x-tar"],
  ["tif", "image/tiff"],
  ["tiff", "image/tiff"],
  ["ts", "video/mp2t"],
  ["ttf", "font/ttf"],
  ["txt", "text/plain"],
  ["vsd", "application/vnd.visio"],
  ["wav", "audio/wav"],
  ["weba", "audio/webm"],
  ["webm", "video/webm"],
  ["webp", "image/webp"],
  ["woff", "font/woff"],
  ["woff2", "font/woff2"],
  ["xhtml", "application/xhtml+xml"],
  ["xls", "application/vnd.ms-excel"],
  ["xlsx", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"],
  ["xml", "application/xml"],
  ["xul", "application/vnd.mozilla.xul+xml"],
  ["zip", "application/zip"],
  ["7z", "application/x-7z-compressed"],
  // Others
  ["mkv", "video/x-matroska"],
  ["mov", "video/quicktime"],
  ["msg", "application/vnd.ms-outlook"]
]);
function pe(e, a) {
  var o = Gt(e);
  if (typeof o.path != "string") {
    var r = e.webkitRelativePath;
    Object.defineProperty(o, "path", {
      value: typeof a == "string" ? a : typeof r == "string" && r.length > 0 ? r : e.name,
      writable: !1,
      configurable: !1,
      enumerable: !0
    });
  }
  return o;
}
function Gt(e) {
  var a = e.name, o = a && a.lastIndexOf(".") !== -1;
  if (o && !e.type) {
    var r = a.split(".").pop().toLowerCase(), n = Vt.get(r);
    n && Object.defineProperty(e, "type", {
      value: n,
      writable: !1,
      configurable: !1,
      enumerable: !0
    });
  }
  return e;
}
var zt = [
  // Thumbnail cache files for macOS and Windows
  ".DS_Store",
  "Thumbs.db"
  // Windows
];
function Wt(e) {
  return ee(this, void 0, void 0, function() {
    return te(this, function(a) {
      return _e(e) && $t(e) ? [2, Qt(e.dataTransfer, e.type)] : Kt(e) ? [2, qt(e)] : Array.isArray(e) && e.every(function(o) {
        return "getFile" in o && typeof o.getFile == "function";
      }) ? [2, Zt(e)] : [2, []];
    });
  });
}
function $t(e) {
  return _e(e.dataTransfer);
}
function Kt(e) {
  return _e(e) && _e(e.target);
}
function _e(e) {
  return typeof e == "object" && e !== null;
}
function qt(e) {
  return Pe(e.target.files).map(function(a) {
    return pe(a);
  });
}
function Zt(e) {
  return ee(this, void 0, void 0, function() {
    var a;
    return te(this, function(o) {
      switch (o.label) {
        case 0:
          return [4, Promise.all(e.map(function(r) {
            return r.getFile();
          }))];
        case 1:
          return a = o.sent(), [2, a.map(function(r) {
            return pe(r);
          })];
      }
    });
  });
}
function Qt(e, a) {
  return ee(this, void 0, void 0, function() {
    var o, r;
    return te(this, function(n) {
      switch (n.label) {
        case 0:
          return e === null ? [2, []] : e.items ? (o = Pe(e.items).filter(function(d) {
            return d.kind === "file";
          }), a !== "drop" ? [2, o] : [4, Promise.all(o.map(Xt))]) : [3, 2];
        case 1:
          return r = n.sent(), [2, qe(ct(r))];
        case 2:
          return [2, qe(Pe(e.files).map(function(d) {
            return pe(d);
          }))];
      }
    });
  });
}
function qe(e) {
  return e.filter(function(a) {
    return zt.indexOf(a.name) === -1;
  });
}
function Pe(e) {
  if (e === null)
    return [];
  for (var a = [], o = 0; o < e.length; o++) {
    var r = e[o];
    a.push(r);
  }
  return a;
}
function Xt(e) {
  if (typeof e.webkitGetAsEntry != "function")
    return Ze(e);
  var a = e.webkitGetAsEntry();
  return a && a.isDirectory ? pt(a) : Ze(e);
}
function ct(e) {
  return e.reduce(function(a, o) {
    return bt(a, Array.isArray(o) ? ct(o) : [o]);
  }, []);
}
function Ze(e) {
  var a = e.getAsFile();
  if (!a)
    return Promise.reject(e + " is not a File");
  var o = pe(a);
  return Promise.resolve(o);
}
function Jt(e) {
  return ee(this, void 0, void 0, function() {
    return te(this, function(a) {
      return [2, e.isDirectory ? pt(e) : ea(e)];
    });
  });
}
function pt(e) {
  var a = e.createReader();
  return new Promise(function(o, r) {
    var n = [];
    function d() {
      var m = this;
      a.readEntries(function(p) {
        return ee(m, void 0, void 0, function() {
          var v, R, w;
          return te(this, function(j) {
            switch (j.label) {
              case 0:
                if (p.length) return [3, 5];
                j.label = 1;
              case 1:
                return j.trys.push([1, 3, , 4]), [4, Promise.all(n)];
              case 2:
                return v = j.sent(), o(v), [3, 4];
              case 3:
                return R = j.sent(), r(R), [3, 4];
              case 4:
                return [3, 6];
              case 5:
                w = Promise.all(p.map(Jt)), n.push(w), d(), j.label = 6;
              case 6:
                return [
                  2
                  /*return*/
                ];
            }
          });
        });
      }, function(p) {
        r(p);
      });
    }
    d();
  });
}
function ea(e) {
  return ee(this, void 0, void 0, function() {
    return te(this, function(a) {
      return [2, new Promise(function(o, r) {
        e.file(function(n) {
          var d = pe(n, e.fullPath);
          o(d);
        }, function(n) {
          r(n);
        });
      })];
    });
  });
}
var ve = {}, Qe;
function ta() {
  return Qe || (Qe = 1, ve.__esModule = !0, ve.default = function(e, a) {
    if (e && a) {
      var o = Array.isArray(a) ? a : a.split(",");
      if (o.length === 0)
        return !0;
      var r = e.name || "", n = (e.type || "").toLowerCase(), d = n.replace(/\/.*$/, "");
      return o.some(function(m) {
        var p = m.trim().toLowerCase();
        return p.charAt(0) === "." ? r.toLowerCase().endsWith(p) : p.endsWith("/*") ? d === p.replace(/\/.*$/, "") : n === p;
      });
    }
    return !0;
  }), ve;
}
var aa = ta();
const oa = /* @__PURE__ */ Ut(aa);
function Xe(e, a) {
  var o = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var r = Object.getOwnPropertySymbols(e);
    a && (r = r.filter(function(n) {
      return Object.getOwnPropertyDescriptor(e, n).enumerable;
    })), o.push.apply(o, r);
  }
  return o;
}
function Je(e) {
  for (var a = 1; a < arguments.length; a++) {
    var o = arguments[a] != null ? arguments[a] : {};
    a % 2 ? Xe(Object(o), !0).forEach(function(r) {
      ut(e, r, o[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(o)) : Xe(Object(o)).forEach(function(r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(o, r));
    });
  }
  return e;
}
function ut(e, a, o) {
  return a in e ? Object.defineProperty(e, a, { value: o, enumerable: !0, configurable: !0, writable: !0 }) : e[a] = o, e;
}
function et(e, a) {
  return la(e) || na(e, a) || sa(e, a) || ra();
}
function ra() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function sa(e, a) {
  if (e) {
    if (typeof e == "string") return tt(e, a);
    var o = Object.prototype.toString.call(e).slice(8, -1);
    if (o === "Object" && e.constructor && (o = e.constructor.name), o === "Map" || o === "Set") return Array.from(e);
    if (o === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(o)) return tt(e, a);
  }
}
function tt(e, a) {
  (a == null || a > e.length) && (a = e.length);
  for (var o = 0, r = new Array(a); o < a; o++)
    r[o] = e[o];
  return r;
}
function na(e, a) {
  var o = e == null ? null : typeof Symbol < "u" && e[Symbol.iterator] || e["@@iterator"];
  if (o != null) {
    var r = [], n = !0, d = !1, m, p;
    try {
      for (o = o.call(e); !(n = (m = o.next()).done) && (r.push(m.value), !(a && r.length === a)); n = !0)
        ;
    } catch (v) {
      d = !0, p = v;
    } finally {
      try {
        !n && o.return != null && o.return();
      } finally {
        if (d) throw p;
      }
    }
    return r;
  }
}
function la(e) {
  if (Array.isArray(e)) return e;
}
var ia = "file-invalid-type", da = "file-too-large", ca = "file-too-small", pa = "too-many-files", ua = function(a) {
  a = Array.isArray(a) && a.length === 1 ? a[0] : a;
  var o = Array.isArray(a) ? "one of ".concat(a.join(", ")) : a;
  return {
    code: ia,
    message: "File type must be ".concat(o)
  };
}, at = function(a) {
  return {
    code: da,
    message: "File is larger than ".concat(a, " ").concat(a === 1 ? "byte" : "bytes")
  };
}, ot = function(a) {
  return {
    code: ca,
    message: "File is smaller than ".concat(a, " ").concat(a === 1 ? "byte" : "bytes")
  };
}, fa = {
  code: pa,
  message: "Too many files"
};
function ft(e, a) {
  var o = e.type === "application/x-moz-file" || oa(e, a);
  return [o, o ? null : ua(a)];
}
function mt(e, a, o) {
  if (de(e.size))
    if (de(a) && de(o)) {
      if (e.size > o) return [!1, at(o)];
      if (e.size < a) return [!1, ot(a)];
    } else {
      if (de(a) && e.size < a) return [!1, ot(a)];
      if (de(o) && e.size > o) return [!1, at(o)];
    }
  return [!0, null];
}
function de(e) {
  return e != null;
}
function ma(e) {
  var a = e.files, o = e.accept, r = e.minSize, n = e.maxSize, d = e.multiple, m = e.maxFiles;
  return !d && a.length > 1 || d && m >= 1 && a.length > m ? !1 : a.every(function(p) {
    var v = ft(p, o), R = et(v, 1), w = R[0], j = mt(p, r, n), O = et(j, 1), x = O[0];
    return w && x;
  });
}
function Ae(e) {
  return typeof e.isPropagationStopped == "function" ? e.isPropagationStopped() : typeof e.cancelBubble < "u" ? e.cancelBubble : !1;
}
function je(e) {
  return e.dataTransfer ? Array.prototype.some.call(e.dataTransfer.types, function(a) {
    return a === "Files" || a === "application/x-moz-file";
  }) : !!e.target && !!e.target.files;
}
function rt(e) {
  e.preventDefault();
}
function ha(e) {
  return e.indexOf("MSIE") !== -1 || e.indexOf("Trident/") !== -1;
}
function ga(e) {
  return e.indexOf("Edge/") !== -1;
}
function Ea() {
  var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : window.navigator.userAgent;
  return ha(e) || ga(e);
}
function C() {
  for (var e = arguments.length, a = new Array(e), o = 0; o < e; o++)
    a[o] = arguments[o];
  return function(r) {
    for (var n = arguments.length, d = new Array(n > 1 ? n - 1 : 0), m = 1; m < n; m++)
      d[m - 1] = arguments[m];
    return a.some(function(p) {
      return !Ae(r) && p && p.apply(void 0, [r].concat(d)), Ae(r);
    });
  };
}
function st() {
  return "showOpenFilePicker" in window;
}
function xa(e) {
  return e = typeof e == "string" ? e.split(",") : e, [{
    description: "everything",
    // TODO: Need to handle filtering more elegantly than this!
    accept: Array.isArray(e) ? e.filter(function(a) {
      return a === "audio/*" || a === "video/*" || a === "image/*" || a === "text/*" || /\w+\/[-+.\w]+/g.test(a);
    }).reduce(function(a, o) {
      return Je(Je({}, a), {}, ut({}, o, []));
    }, {}) : {}
  }];
}
var Ia = ["children"], ba = ["open"], Ua = ["refKey", "role", "onKeyDown", "onFocus", "onBlur", "onClick", "onDragEnter", "onDragOver", "onDragLeave", "onDrop"], ya = ["refKey", "onChange", "onClick"];
function va(e) {
  return _a(e) || Da(e) || ht(e) || ja();
}
function ja() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Da(e) {
  if (typeof Symbol < "u" && e[Symbol.iterator] != null || e["@@iterator"] != null) return Array.from(e);
}
function _a(e) {
  if (Array.isArray(e)) return Be(e);
}
function ke(e, a) {
  return Na(e) || Ra(e, a) || ht(e, a) || Aa();
}
function Aa() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function ht(e, a) {
  if (e) {
    if (typeof e == "string") return Be(e, a);
    var o = Object.prototype.toString.call(e).slice(8, -1);
    if (o === "Object" && e.constructor && (o = e.constructor.name), o === "Map" || o === "Set") return Array.from(e);
    if (o === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(o)) return Be(e, a);
  }
}
function Be(e, a) {
  (a == null || a > e.length) && (a = e.length);
  for (var o = 0, r = new Array(a); o < a; o++)
    r[o] = e[o];
  return r;
}
function Ra(e, a) {
  var o = e == null ? null : typeof Symbol < "u" && e[Symbol.iterator] || e["@@iterator"];
  if (o != null) {
    var r = [], n = !0, d = !1, m, p;
    try {
      for (o = o.call(e); !(n = (m = o.next()).done) && (r.push(m.value), !(a && r.length === a)); n = !0)
        ;
    } catch (v) {
      d = !0, p = v;
    } finally {
      try {
        !n && o.return != null && o.return();
      } finally {
        if (d) throw p;
      }
    }
    return r;
  }
}
function Na(e) {
  if (Array.isArray(e)) return e;
}
function nt(e, a) {
  var o = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var r = Object.getOwnPropertySymbols(e);
    a && (r = r.filter(function(n) {
      return Object.getOwnPropertyDescriptor(e, n).enumerable;
    })), o.push.apply(o, r);
  }
  return o;
}
function E(e) {
  for (var a = 1; a < arguments.length; a++) {
    var o = arguments[a] != null ? arguments[a] : {};
    a % 2 ? nt(Object(o), !0).forEach(function(r) {
      Ye(e, r, o[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(o)) : nt(Object(o)).forEach(function(r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(o, r));
    });
  }
  return e;
}
function Ye(e, a, o) {
  return a in e ? Object.defineProperty(e, a, { value: o, enumerable: !0, configurable: !0, writable: !0 }) : e[a] = o, e;
}
function Re(e, a) {
  if (e == null) return {};
  var o = wa(e, a), r, n;
  if (Object.getOwnPropertySymbols) {
    var d = Object.getOwnPropertySymbols(e);
    for (n = 0; n < d.length; n++)
      r = d[n], !(a.indexOf(r) >= 0) && Object.prototype.propertyIsEnumerable.call(e, r) && (o[r] = e[r]);
  }
  return o;
}
function wa(e, a) {
  if (e == null) return {};
  var o = {}, r = Object.keys(e), n, d;
  for (d = 0; d < r.length; d++)
    n = r[d], !(a.indexOf(n) >= 0) && (o[n] = e[n]);
  return o;
}
var ue = /* @__PURE__ */ f.forwardRef(function(e, a) {
  var o = e.children, r = Re(e, Ia), n = Ca(r), d = n.open, m = Re(n, ba);
  return f.useImperativeHandle(a, function() {
    return {
      open: d
    };
  }, [d]), /* @__PURE__ */ yt.createElement(f.Fragment, null, o(E(E({}, m), {}, {
    open: d
  })));
});
ue.displayName = "Dropzone";
var gt = {
  disabled: !1,
  getFilesFromEvent: Wt,
  maxSize: 1 / 0,
  minSize: 0,
  multiple: !0,
  maxFiles: 0,
  preventDropOnDocument: !0,
  noClick: !1,
  noKeyboard: !1,
  noDrag: !1,
  noDragEventsBubbling: !1,
  validator: null,
  useFsAccessApi: !1
};
ue.defaultProps = gt;
ue.propTypes = {
  /**
   * Render function that exposes the dropzone state and prop getter fns
   *
   * @param {object} params
   * @param {Function} params.getRootProps Returns the props you should apply to the root drop container you render
   * @param {Function} params.getInputProps Returns the props you should apply to hidden file input you render
   * @param {Function} params.open Open the native file selection dialog
   * @param {boolean} params.isFocused Dropzone area is in focus
   * @param {boolean} params.isFileDialogActive File dialog is opened
   * @param {boolean} params.isDragActive Active drag is in progress
   * @param {boolean} params.isDragAccept Dragged files are accepted
   * @param {boolean} params.isDragReject Some dragged files are rejected
   * @param {File[]} params.draggedFiles Files in active drag
   * @param {File[]} params.acceptedFiles Accepted files
   * @param {FileRejection[]} params.fileRejections Rejected files and why they were rejected
   */
  children: g.func,
  /**
   * Set accepted file types.
   * See https://github.com/okonet/attr-accept for more information.
   * Keep in mind that mime type determination is not reliable across platforms. CSV files,
   * for example, are reported as text/plain under macOS but as application/vnd.ms-excel under
   * Windows. In some cases there might not be a mime type set at all.
   * See: https://github.com/react-dropzone/react-dropzone/issues/276
   */
  accept: g.oneOfType([g.string, g.arrayOf(g.string)]),
  /**
   * Allow drag 'n' drop (or selection from the file dialog) of multiple files
   */
  multiple: g.bool,
  /**
   * If false, allow dropped items to take over the current browser window
   */
  preventDropOnDocument: g.bool,
  /**
   * If true, disables click to open the native file selection dialog
   */
  noClick: g.bool,
  /**
   * If true, disables SPACE/ENTER to open the native file selection dialog.
   * Note that it also stops tracking the focus state.
   */
  noKeyboard: g.bool,
  /**
   * If true, disables drag 'n' drop
   */
  noDrag: g.bool,
  /**
   * If true, stops drag event propagation to parents
   */
  noDragEventsBubbling: g.bool,
  /**
   * Minimum file size (in bytes)
   */
  minSize: g.number,
  /**
   * Maximum file size (in bytes)
   */
  maxSize: g.number,
  /**
   * Maximum accepted number of files
   * The default value is 0 which means there is no limitation to how many files are accepted.
   */
  maxFiles: g.number,
  /**
   * Enable/disable the dropzone
   */
  disabled: g.bool,
  /**
   * Use this to provide a custom file aggregator
   *
   * @param {(DragEvent|Event)} event A drag event or input change event (if files were selected via the file dialog)
   */
  getFilesFromEvent: g.func,
  /**
   * Cb for when closing the file dialog with no selection
   */
  onFileDialogCancel: g.func,
  /**
   * Cb for when opening the file dialog
   */
  onFileDialogOpen: g.func,
  /**
   * Set to true to use the https://developer.mozilla.org/en-US/docs/Web/API/File_System_Access_API
   * to open the file picker instead of using an `<input type="file">` click event.
   */
  useFsAccessApi: g.bool,
  /**
   * Cb for when the `dragenter` event occurs.
   *
   * @param {DragEvent} event
   */
  onDragEnter: g.func,
  /**
   * Cb for when the `dragleave` event occurs
   *
   * @param {DragEvent} event
   */
  onDragLeave: g.func,
  /**
   * Cb for when the `dragover` event occurs
   *
   * @param {DragEvent} event
   */
  onDragOver: g.func,
  /**
   * Cb for when the `drop` event occurs.
   * Note that this callback is invoked after the `getFilesFromEvent` callback is done.
   *
   * Files are accepted or rejected based on the `accept`, `multiple`, `minSize` and `maxSize` props.
   * `accept` must be a valid [MIME type](http://www.iana.org/assignments/media-types/media-types.xhtml) according to [input element specification](https://www.w3.org/wiki/HTML/Elements/input/file) or a valid file extension.
   * If `multiple` is set to false and additional files are dropped,
   * all files besides the first will be rejected.
   * Any file which does not have a size in the [`minSize`, `maxSize`] range, will be rejected as well.
   *
   * Note that the `onDrop` callback will always be invoked regardless if the dropped files were accepted or rejected.
   * If you'd like to react to a specific scenario, use the `onDropAccepted`/`onDropRejected` props.
   *
   * `onDrop` will provide you with an array of [File](https://developer.mozilla.org/en-US/docs/Web/API/File) objects which you can then process and send to a server.
   * For example, with [SuperAgent](https://github.com/visionmedia/superagent) as a http/ajax library:
   *
   * ```js
   * function onDrop(acceptedFiles) {
   *   const req = request.post('/upload')
   *   acceptedFiles.forEach(file => {
   *     req.attach(file.name, file)
   *   })
   *   req.end(callback)
   * }
   * ```
   *
   * @param {File[]} acceptedFiles
   * @param {FileRejection[]} fileRejections
   * @param {(DragEvent|Event)} event A drag event or input change event (if files were selected via the file dialog)
   */
  onDrop: g.func,
  /**
   * Cb for when the `drop` event occurs.
   * Note that if no files are accepted, this callback is not invoked.
   *
   * @param {File[]} files
   * @param {(DragEvent|Event)} event
   */
  onDropAccepted: g.func,
  /**
   * Cb for when the `drop` event occurs.
   * Note that if no files are rejected, this callback is not invoked.
   *
   * @param {FileRejection[]} fileRejections
   * @param {(DragEvent|Event)} event
   */
  onDropRejected: g.func,
  /**
   * Custom validation function
   * @param {File} file
   * @returns {FileError|FileError[]}
   */
  validator: g.func
};
var He = {
  isFocused: !1,
  isFileDialogActive: !1,
  isDragActive: !1,
  isDragAccept: !1,
  isDragReject: !1,
  draggedFiles: [],
  acceptedFiles: [],
  fileRejections: []
};
function Ca() {
  var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, a = E(E({}, gt), e), o = a.accept, r = a.disabled, n = a.getFilesFromEvent, d = a.maxSize, m = a.minSize, p = a.multiple, v = a.maxFiles, R = a.onDragEnter, w = a.onDragLeave, j = a.onDragOver, O = a.onDrop, x = a.onDropAccepted, L = a.onDropRejected, ae = a.onFileDialogCancel, M = a.onFileDialogOpen, V = a.useFsAccessApi, T = a.preventDropOnDocument, oe = a.noClick, G = a.noKeyboard, re = a.noDrag, F = a.noDragEventsBubbling, se = a.validator, I = f.useMemo(function() {
    return typeof M == "function" ? M : lt;
  }, [M]), q = f.useMemo(function() {
    return typeof ae == "function" ? ae : lt;
  }, [ae]), b = f.useRef(null), A = f.useRef(null), k = f.useReducer(Ta, He), Z = ke(k, 2), z = Z[0], D = Z[1], fe = z.isFocused, Ne = z.isFileDialogActive, me = z.draggedFiles, he = function() {
    Ne && setTimeout(function() {
      if (A.current) {
        var u = A.current.files;
        u.length || (D({
          type: "closeDialog"
        }), q());
      }
    }, 300);
  };
  f.useEffect(function() {
    return V && st() ? function() {
    } : (window.addEventListener("focus", he, !1), function() {
      window.removeEventListener("focus", he, !1);
    });
  }, [A, Ne, q, V]);
  var P = f.useRef([]), ne = function(u) {
    b.current && b.current.contains(u.target) || (u.preventDefault(), P.current = []);
  };
  f.useEffect(function() {
    return T && (document.addEventListener("dragover", rt, !1), document.addEventListener("drop", ne, !1)), function() {
      T && (document.removeEventListener("dragover", rt), document.removeEventListener("drop", ne));
    };
  }, [b, T]);
  var le = f.useCallback(function(l) {
    l.preventDefault(), l.persist(), K(l), P.current = [].concat(va(P.current), [l.target]), je(l) && Promise.resolve(n(l)).then(function(u) {
      Ae(l) && !F || (D({
        draggedFiles: u,
        isDragActive: !0,
        type: "setDraggedFiles"
      }), R && R(l));
    });
  }, [n, R, F]), ge = f.useCallback(function(l) {
    l.preventDefault(), l.persist(), K(l);
    var u = je(l);
    if (u && l.dataTransfer)
      try {
        l.dataTransfer.dropEffect = "copy";
      } catch {
      }
    return u && j && j(l), !1;
  }, [j, F]), Ee = f.useCallback(function(l) {
    l.preventDefault(), l.persist(), K(l);
    var u = P.current.filter(function(_) {
      return b.current && b.current.contains(_);
    }), y = u.indexOf(l.target);
    y !== -1 && u.splice(y, 1), P.current = u, !(u.length > 0) && (D({
      isDragActive: !1,
      type: "setDraggedFiles",
      draggedFiles: []
    }), je(l) && w && w(l));
  }, [b, w, F]), B = f.useCallback(function(l, u) {
    var y = [], _ = [];
    l.forEach(function(N) {
      var ie = ft(N, o), J = ke(ie, 2), we = J[0], Ce = J[1], Te = mt(N, m, d), be = ke(Te, 2), Fe = be[0], Se = be[1], Oe = se ? se(N) : null;
      if (we && Fe && !Oe)
        y.push(N);
      else {
        var Le = [Ce, Se];
        Oe && (Le = Le.concat(Oe)), _.push({
          file: N,
          errors: Le.filter(function(It) {
            return It;
          })
        });
      }
    }), (!p && y.length > 1 || p && v >= 1 && y.length > v) && (y.forEach(function(N) {
      _.push({
        file: N,
        errors: [fa]
      });
    }), y.splice(0)), D({
      acceptedFiles: y,
      fileRejections: _,
      type: "setFiles"
    }), O && O(y, _, u), _.length > 0 && L && L(_, u), y.length > 0 && x && x(y, u);
  }, [D, p, o, m, d, v, O, x, L, se]), Q = f.useCallback(function(l) {
    l.preventDefault(), l.persist(), K(l), P.current = [], je(l) && Promise.resolve(n(l)).then(function(u) {
      Ae(l) && !F || B(u, l);
    }), D({
      type: "reset"
    });
  }, [n, B, F]), Y = f.useCallback(function() {
    if (V && st()) {
      D({
        type: "openDialog"
      }), I();
      var l = {
        multiple: p,
        types: xa(o)
      };
      window.showOpenFilePicker(l).then(function(u) {
        return n(u);
      }).then(function(u) {
        return B(u, null);
      }).catch(function(u) {
        return q(u);
      }).finally(function() {
        return D({
          type: "closeDialog"
        });
      });
      return;
    }
    A.current && (D({
      type: "openDialog"
    }), I(), A.current.value = null, A.current.click());
  }, [D, I, q, V, B, o, p]), xe = f.useCallback(function(l) {
    !b.current || !b.current.isEqualNode(l.target) || (l.keyCode === 32 || l.keyCode === 13) && (l.preventDefault(), Y());
  }, [b, A, Y]), X = f.useCallback(function() {
    D({
      type: "focus"
    });
  }, []), i = f.useCallback(function() {
    D({
      type: "blur"
    });
  }, []), U = f.useCallback(function() {
    oe || (Ea() ? setTimeout(Y, 0) : Y());
  }, [A, oe, Y]), S = function(u) {
    return r ? null : u;
  }, W = function(u) {
    return G ? null : S(u);
  }, $ = function(u) {
    return re ? null : S(u);
  }, K = function(u) {
    F && u.stopPropagation();
  }, H = f.useMemo(function() {
    return function() {
      var l = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, u = l.refKey, y = u === void 0 ? "ref" : u, _ = l.role, N = l.onKeyDown, ie = l.onFocus, J = l.onBlur, we = l.onClick, Ce = l.onDragEnter, Te = l.onDragOver, be = l.onDragLeave, Fe = l.onDrop, Se = Re(l, Ua);
      return E(E(Ye({
        onKeyDown: W(C(N, xe)),
        onFocus: W(C(ie, X)),
        onBlur: W(C(J, i)),
        onClick: S(C(we, U)),
        onDragEnter: $(C(Ce, le)),
        onDragOver: $(C(Te, ge)),
        onDragLeave: $(C(be, Ee)),
        onDrop: $(C(Fe, Q)),
        role: typeof _ == "string" && _ !== "" ? _ : "button"
      }, y, b), !r && !G ? {
        tabIndex: 0
      } : {}), Se);
    };
  }, [b, xe, X, i, U, le, ge, Ee, Q, G, re, r]), Ie = f.useCallback(function(l) {
    l.stopPropagation();
  }, []), Et = f.useMemo(function() {
    return function() {
      var l = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, u = l.refKey, y = u === void 0 ? "ref" : u, _ = l.onChange, N = l.onClick, ie = Re(l, ya), J = Ye({
        accept: o,
        multiple: p,
        type: "file",
        style: {
          display: "none"
        },
        onChange: S(C(_, Q)),
        onClick: S(C(N, Ie)),
        autoComplete: "off",
        tabIndex: -1
      }, y, A);
      return E(E({}, J), ie);
    };
  }, [A, o, p, Q, r]), Ge = me.length, ze = Ge > 0 && ma({
    files: me,
    accept: o,
    minSize: m,
    maxSize: d,
    multiple: p,
    maxFiles: v
  }), xt = Ge > 0 && !ze;
  return E(E({}, z), {}, {
    isDragAccept: ze,
    isDragReject: xt,
    isFocused: fe && !r,
    getRootProps: H,
    getInputProps: Et,
    rootRef: b,
    inputRef: A,
    open: S(Y)
  });
}
function Ta(e, a) {
  switch (a.type) {
    case "focus":
      return E(E({}, e), {}, {
        isFocused: !0
      });
    case "blur":
      return E(E({}, e), {}, {
        isFocused: !1
      });
    case "openDialog":
      return E(E({}, He), {}, {
        isFileDialogActive: !0
      });
    case "closeDialog":
      return E(E({}, e), {}, {
        isFileDialogActive: !1
      });
    case "setDraggedFiles":
      var o = a.isDragActive, r = a.draggedFiles;
      return E(E({}, e), {}, {
        draggedFiles: r,
        isDragActive: o
      });
    case "setFiles":
      return E(E({}, e), {}, {
        acceptedFiles: a.acceptedFiles,
        fileRejections: a.fileRejections
      });
    case "reset":
      return E({}, He);
    default:
      return e;
  }
}
function lt() {
}
const Fa = (e, a, o) => De(e, (r) => {
  Object.keys(e).filter((n) => !!e[n] && n.includes("file")).map((n) => e[n]).concat(a, Array(Ve).fill(void 0)).splice(0, 3).forEach((n, d) => r[`file${d + 1}`] = n), o ? r.erroredFileNames = o : r.erroredFileNames = void 0;
}), Sa = (e, a) => {
  if (![1, 2, 3].includes(a))
    throw new Error(
      `Expected either 1, 2 or 3 for argument "fileNumber", but received ${a}`
    );
  return De(e, (o) => {
    Object.keys(e).filter((r) => r.includes("file") && !r.includes(a.toString())).map((r) => e[r]).concat(Array(Ve).fill(void 0)).splice(0, 3).forEach((r, n) => o[`file${n + 1}`] = r);
  });
};
function ce({
  title: e,
  children: a,
  id: o,
  defaultState: r = "closed"
}) {
  const [n, d] = f.useState(r === "open"), m = `${o}-region`, p = () => d(!n);
  return /* @__PURE__ */ t.jsxs(
    "section",
    {
      className: `sid-expanding-section sid-expanding-section-${o} sid-l-space-top-sm sid-l-space-btm-sm`,
      children: [
        /* @__PURE__ */ t.jsx("header", { children: /* @__PURE__ */ t.jsxs(
          "button",
          {
            "aria-controls": m,
            "aria-expanded": n,
            id: o,
            type: "button",
            className: "sid-expanding-section__title",
            onClick: p,
            children: [
              /* @__PURE__ */ t.jsx("span", { children: e }),
              /* @__PURE__ */ t.jsx(
                "div",
                {
                  className: `sid-expanding-section__indicator sid-expanding-section__indicator--state-${n ? "open" : "closed"}`
                }
              )
            ]
          }
        ) }),
        /* @__PURE__ */ t.jsx("div", { id: m, role: "region", "aria-labelledby": o, children: n && /* @__PURE__ */ t.jsx("div", { className: "sid-expanding-section__children", children: a }) })
      ]
    }
  );
}
const Oa = {
  [c.STUDENT]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.student.school",
    "step.docUpload.uploadInfo.student.enrollmentDate"
  ],
  [c.TEACHER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.teacher.school",
    "step.docUpload.uploadInfo.teacher.currentSchoolYear"
  ],
  [c.MEMBER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.organization",
    "step.docUpload.uploadInfo.affiliation"
  ],
  [c.MILITARY]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.military.serviceBranch",
    "step.docUpload.uploadInfo.military.dischargeDate",
    "step.docUpload.uploadInfo.military.currentAffiliation"
  ],
  [c.SENIOR]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.senior.birthDate"
  ],
  [c.AGE]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.age.birthDate"
  ],
  [c.FIRST_RESPONDER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.firstResponder.organization",
    "step.docUpload.uploadInfo.firstResponder.currentAffiliation",
    "step.docUpload.uploadInfo.firstResponder.license"
  ],
  [c.MEDICAL]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.medical.status",
    "step.docUpload.uploadInfo.medical.validDate"
  ],
  [c.EMPLOYMENT]: [
    "step.docUpload.uploadInfo.employment.company",
    "step.docUpload.uploadInfo.employment.currentAffiliation"
  ],
  [c.IDENTITY]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.identity.validDate"
  ],
  [c.LICENSED_PROFESSIONAL]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.licensedProfessional.licenseStatus",
    "step.docUpload.uploadInfo.identity.validDate"
  ],
  [c.LOW_INCOME]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.lowIncome.validDate"
  ],
  [c.RECENT_MOVER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.recentMover.address",
    "step.docUpload.uploadInfo.recentMover.validDate"
  ]
}, La = {
  [s.ACTIVE_DUTY]: [],
  [s.VETERAN]: [],
  [s.RESERVIST]: [],
  [s.MILITARY_RETIREE]: [],
  [s.MILITARY_FAMILY]: [
    // Overridden in SubSegmentUploadInfoOverrides
  ],
  [s.GOLD_STAR_FAMILY]: [],
  [s.FIREFIGHTER]: [],
  [s.POLICE]: [],
  [s.EMT]: [],
  [s.NURSE]: [],
  [s.DRIVER_LICENSE]: [],
  [s.GENERAL_IDENTITY]: [],
  [s.HYBRID_IDENTITY]: [],
  [s.HOME_BUYER]: [],
  [s.OTHER_MOVER]: [],
  [s.LICENSED_COSMETOLOGIST]: [],
  [s.LICENSED_REAL_ESTATE_AGENT]: [],
  [s.VETERINARIAN]: [],
  [s.SNAP_BENEFITS]: ["step.docUpload.uploadInfo.lowIncome.ebtNumber"],
  [s.OTHER_GOVERNMENT_ASSISTANCE]: [],
  [s.CHILD_CARE_WORKER]: [],
  [s.LIBRARIAN]: [],
  [s.INTERIOR_DESIGNER]: [],
  [s.ARCHITECT]: [],
  [s.GENERAL_CONTRACTOR]: [],
  [s.NUTRITION_PROFESSIONAL]: []
}, Ma = {
  // MILITARY_FAMILY is overridden to not show branch of service.
  [s.MILITARY_FAMILY]: [
    "step.docUpload.uploadInfo.military.uploadInstructionsDependent"
  ]
};
function ka(e, a) {
  return Ma[a] || [
    ...La[a] || [],
    ...Oa[e] || []
  ];
}
const Pa = (e) => /* @__PURE__ */ t.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    width: 168,
    height: 168,
    fill: "none",
    viewBox: "0 0 168 168",
    ...e,
    children: [
      /* @__PURE__ */ t.jsx("circle", { cx: 83.514, cy: 85.516, r: 64, fill: "#F1F5F9", transform: "rotate(5.116 83.514 85.516)" }),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 69.14,
          height: 130.872,
          x: 37.134,
          y: 27.051,
          fill: "#fff",
          rx: 8,
          transform: "rotate(-11.496 37.134 27.05)"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          fill: "#94A3B8",
          d: "m44.394 50.569 62.986-12.81 10.335 50.815-62.986 12.81z",
          opacity: 0.7
        }
      ),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 59.482,
          height: 42.197,
          x: 81.641,
          y: 46.525,
          fill: "#fff",
          stroke: "#0F172A",
          strokeWidth: 2.25,
          rx: 3.225,
          transform: "rotate(-1.248 81.64 46.525)"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          fill: "#B0BCCC",
          d: "m83.376 80.513 57.558-1.025.088 5a2 2 0 0 1-1.964 2.034l-53.558.954a2 2 0 0 1-2.035-1.964l-.089-4.999ZM140.162 53.003l-57.208 1.5-.108-4.791a2.06 2.06 0 0 1 2.006-2.106l52.899-1.387a2.25 2.25 0 0 1 2.308 2.199l.103 4.585Z"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          stroke: "#000",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: 2,
          d: "M102.982 73.725a7.491 7.491 0 0 0-5.983-2.975 7.489 7.489 0 0 0-5.981 2.975m11.964 0a9 9 0 1 0-11.965 0m11.965 0A8.97 8.97 0 0 1 96.999 76a8.966 8.966 0 0 1-5.981-2.275m8.981-8.975a3 3 0 1 1-5.998 0 3 3 0 0 1 5.998 0Z"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "circle",
        {
          cx: 93.647,
          cy: 131.469,
          r: 4.939,
          fill: "#0F172A",
          transform: "rotate(-11.496 93.647 131.469)"
        }
      ),
      /* @__PURE__ */ t.jsx("path", { stroke: "#000", strokeWidth: 2, d: "M111 63h23M111 67h17M111 71h19" }),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 66.14,
          height: 127.872,
          x: 38.903,
          y: 28.222,
          stroke: "#000",
          strokeWidth: 3,
          rx: 6.5,
          transform: "rotate(-11.496 38.903 28.222)"
        }
      )
    ]
  }
), it = (e) => /* @__PURE__ */ t.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    width: 80,
    height: 80,
    fill: "none",
    viewBox: "0 0 80 80",
    ...e,
    children: [
      /* @__PURE__ */ t.jsx("circle", { cx: 41.757, cy: 42.758, r: 32, fill: "#F1F5F9", transform: "rotate(5.116 41.757 42.758)" }),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 34.57,
          height: 65.436,
          x: 18.566,
          y: 13.525,
          fill: "#fff",
          rx: 4,
          transform: "rotate(-11.496 18.566 13.525)"
        }
      ),
      /* @__PURE__ */ t.jsx("path", { fill: "#94A3B8", d: "M22.197 25.285 53.69 18.88l5.168 25.407-31.494 6.405z", opacity: 0.7 }),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 29.741,
          height: 21.099,
          x: 40.821,
          y: 23.263,
          fill: "#fff",
          stroke: "#0F172A",
          strokeWidth: 1.125,
          rx: 1.613,
          transform: "rotate(-1.248 40.82 23.263)"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          stroke: "#000",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          d: "M51.991 37.363a3.743 3.743 0 0 0-2.99-1.488 3.745 3.745 0 0 0-2.992 1.488m5.982 0A4.499 4.499 0 0 0 49 29.5a4.5 4.5 0 0 0-2.99 7.863m5.981 0a4.484 4.484 0 0 1-2.99 1.137 4.483 4.483 0 0 1-2.992-1.137m4.491-4.488a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Z"
        }
      ),
      /* @__PURE__ */ t.jsx("path", { stroke: "#000", d: "M56 32h11.5M56 34h8.5M56 36h9.5" }),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          fill: "#B0BCCC",
          d: "m41.688 40.257 28.778-.513.045 2.5a1 1 0 0 1-.982 1.017l-26.78.477a1 1 0 0 1-1.017-.982l-.044-2.5ZM70.082 26.502l-28.604.75-.054-2.396a1.03 1.03 0 0 1 1.002-1.053l26.45-.693a1.125 1.125 0 0 1 1.154 1.099l.052 2.293Z"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "circle",
        {
          cx: 46.824,
          cy: 65.735,
          r: 2.469,
          fill: "#0F172A",
          transform: "rotate(-11.496 46.824 65.735)"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 33.07,
          height: 63.936,
          x: 19.451,
          y: 14.111,
          stroke: "#000",
          strokeWidth: 1.5,
          rx: 3.25,
          transform: "rotate(-11.496 19.45 14.11)"
        }
      )
    ]
  }
), Ba = (e) => /* @__PURE__ */ t.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    width: 168,
    height: 168,
    fill: "none",
    viewBox: "0 0 168 168",
    ...e,
    children: [
      /* @__PURE__ */ t.jsx("circle", { cx: 83.901, cy: 85.086, r: 64, fill: "#F1F5F9", transform: "rotate(-.812 83.901 85.086)" }),
      /* @__PURE__ */ t.jsx("path", { stroke: "#535A68", strokeLinecap: "round", strokeWidth: 2.05, d: "M45.1 58.913h14.862" }),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 102,
          height: 111,
          x: 32.5,
          y: 29.5,
          fill: "#fff",
          stroke: "#000",
          strokeWidth: 3,
          rx: 6.5
        }
      ),
      /* @__PURE__ */ t.jsx("rect", { width: 14, height: 48, x: 43, y: 75, fill: "#F1F5F9", rx: 2.148 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 43, y: 84.56, fill: "#64748B", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 43, y: 93.868, fill: "#CBD5E1", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 43, y: 112.484, fill: "#94A3B8", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 14, height: 48, x: 60.06, y: 75, fill: "#F1F5F9", rx: 2.148 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 60, y: 93.868, fill: "#64748B", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 60, y: 112.484, fill: "#CBD5E1", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 14, height: 48, x: 77.06, y: 75, fill: "#F1F5F9", rx: 2.148 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 77.06, y: 84.56, fill: "#94A3B8", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 77.06, y: 93.868, fill: "#CBD5E1", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 77.06, y: 112.484, fill: "#94A3B8", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 14, height: 48, x: 94.06, y: 75, fill: "#F1F5F9", rx: 2.148 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 94.06, y: 93.868, fill: "#64748B", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 94.06, y: 112.484, fill: "#64748B", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 14, height: 48, x: 111.06, y: 75, fill: "#F1F5F9", rx: 2.148 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 111.06, y: 84.56, fill: "#94A3B8", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 111.06, y: 93.868, fill: "#CBD5E1", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 111.06, y: 103.176, fill: "#94A3B8", rx: 2 }),
      /* @__PURE__ */ t.jsx("rect", { width: 13.962, height: 5.817, x: 111.06, y: 112.484, fill: "#CBD5E1", rx: 2 }),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          stroke: "#000",
          strokeLinecap: "square",
          strokeWidth: 2.05,
          d: "M41 45h24.6M41 49.1h21.013M41 53.2h25.112M67 69h34.85"
        }
      ),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          stroke: "#000",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: 2,
          d: "M106.659 46.654a60.439 60.439 0 0 0-.491 6.347 48.617 48.617 0 0 1 8.231 4.41 48.626 48.626 0 0 1 8.232-4.41 60.439 60.439 0 0 0-.491-6.347m0 0a51.39 51.39 0 0 1 2.658-.814A59.884 59.884 0 0 0 114.399 40 59.889 59.889 0 0 0 104 45.841a50.548 50.548 0 0 1 10.399 4.155 50.741 50.741 0 0 1 7.741-3.342Zm-12.991 4.853a.748.748 0 0 0 .75-.75.749.749 0 0 0-1.28-.53.749.749 0 0 0 .53 1.28Zm0 0v-3.675a55.374 55.374 0 0 1 5.25-2.882m-7.007 11.55a5.989 5.989 0 0 0 1.757-4.243v-1.5"
        }
      )
    ]
  }
), Ya = (e) => /* @__PURE__ */ t.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    width: 80,
    height: 80,
    fill: "none",
    viewBox: "0 0 80 80",
    ...e,
    children: [
      /* @__PURE__ */ t.jsx("circle", { cx: 39.95, cy: 40.543, r: 32, fill: "#F1F5F9", transform: "rotate(-.812 39.95 40.543)" }),
      /* @__PURE__ */ t.jsx("path", { stroke: "#535A68", strokeLinecap: "round", strokeWidth: 1.025, d: "M22.55 29.456h7.431" }),
      /* @__PURE__ */ t.jsx(
        "rect",
        {
          width: 51,
          height: 55.5,
          x: 16.25,
          y: 14.75,
          fill: "#fff",
          stroke: "#000",
          strokeWidth: 1.5,
          rx: 3.25
        }
      ),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          stroke: "#000",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          d: "M52.529 23.68a30.215 30.215 0 0 0-.246 3.173c1.44.601 2.818 1.34 4.116 2.205a24.306 24.306 0 0 1 4.116-2.205 30.215 30.215 0 0 0-.246-3.173m0 0c.438-.147.881-.283 1.33-.407a29.946 29.946 0 0 0-5.2-2.92 29.948 29.948 0 0 0-5.2 2.92 25.227 25.227 0 0 1 5.2 2.078 25.357 25.357 0 0 1 3.87-1.671Zm-6.495 2.426a.375.375 0 1 0 0-.75.375.375 0 0 0 0 .75Zm0 0V24.27a27.677 27.677 0 0 1 2.625-1.441m-3.504 5.775a2.99 2.99 0 0 0 .879-2.122v-.75"
        }
      ),
      /* @__PURE__ */ t.jsx("rect", { width: 7, height: 24, x: 21.5, y: 37.5, fill: "#F1F5F9", rx: 1.074 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 21.5, y: 42.28, fill: "#64748B", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 21.5, y: 46.934, fill: "#CBD5E1", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 21.5, y: 56.242, fill: "#94A3B8", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 7, height: 24, x: 30.029, y: 37.5, fill: "#F1F5F9", rx: 1.074 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 30, y: 46.934, fill: "#64748B", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 30, y: 56.242, fill: "#CBD5E1", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 7, height: 24, x: 38.53, y: 37.5, fill: "#F1F5F9", rx: 1.074 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 38.53, y: 42.28, fill: "#94A3B8", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 38.53, y: 46.934, fill: "#CBD5E1", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 38.53, y: 56.242, fill: "#94A3B8", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 7, height: 24, x: 47.03, y: 37.5, fill: "#F1F5F9", rx: 1.074 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 47.03, y: 46.934, fill: "#64748B", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 47.03, y: 56.242, fill: "#64748B", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 7, height: 24, x: 55.53, y: 37.5, fill: "#F1F5F9", rx: 1.074 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 55.53, y: 42.28, fill: "#94A3B8", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 55.53, y: 46.934, fill: "#CBD5E1", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 55.53, y: 51.588, fill: "#94A3B8", rx: 1 }),
      /* @__PURE__ */ t.jsx("rect", { width: 6.981, height: 2.909, x: 55.53, y: 56.242, fill: "#CBD5E1", rx: 1 }),
      /* @__PURE__ */ t.jsx(
        "path",
        {
          stroke: "#000",
          strokeLinecap: "square",
          strokeWidth: 1.025,
          d: "M20.5 22.5h12.3M20.5 24.55h10.506M20.5 26.6h12.556M33.5 34.5h17.425"
        }
      )
    ]
  }
), Ha = ["ID_CARD", "SCHEDULE"];
function Va(e, a) {
  return e === "ID_CARD" && a === "large" ? Pa : e === "ID_CARD" && a === "small" ? it : e === "SCHEDULE" && a === "large" ? Ba : e === "SCHEDULE" && a === "small" ? Ya : it;
}
const Ga = ({ onFileDrop: e, type: a, style: o = "small" }) => {
  const r = Va(a, o);
  return /* @__PURE__ */ t.jsx(ue, { onDrop: (n) => e(n, a), children: ({ getRootProps: n, getInputProps: d }) => /* @__PURE__ */ t.jsxs("section", { ...n(), className: "sid-document-type-attachment-wrap", children: [
    /* @__PURE__ */ t.jsx("input", { ...d() }),
    o === "small" ? /* @__PURE__ */ t.jsxs("button", { className: "sid-document-type-attachment", type: "button", children: [
      /* @__PURE__ */ t.jsx(r, { className: "sid-document-type-attachment__icon-small" }),
      /* @__PURE__ */ t.jsxs("span", { className: "sid-document-type-attachment__text", children: [
        a === "ID_CARD" && /* @__PURE__ */ t.jsx(t.Fragment, { children: "Dated School ID card" }),
        a === "SCHEDULE" && /* @__PURE__ */ t.jsx(t.Fragment, { children: "Class Schedule" })
      ] }),
      /* @__PURE__ */ t.jsx(Bt, { className: "sid-document-type-attachment__plus" })
    ] }) : /* @__PURE__ */ t.jsxs(
      "button",
      {
        className: "sid-document-type-attachment sid-document-type-attachment__large",
        type: "button",
        children: [
          /* @__PURE__ */ t.jsx(r, { className: "sid-document-type-attachment__icon-large" }),
          /* @__PURE__ */ t.jsxs("span", { className: "sid-document-type-attachment__text-large", children: [
            a === "ID_CARD" && /* @__PURE__ */ t.jsx(t.Fragment, { children: "Add your dated school ID card" }),
            a === "SCHEDULE" && /* @__PURE__ */ t.jsx(t.Fragment, { children: "Add your class schedule" })
          ] })
        ]
      }
    )
  ] }) });
}, za = ({ children: e }) => /* @__PURE__ */ t.jsxs("div", { className: "sid-named-divider", children: [
  /* @__PURE__ */ t.jsx("hr", { className: "sid-named-divider__rule" }),
  /* @__PURE__ */ t.jsx("p", { className: "sid-named-divider__text", children: e })
] }), Wa = ({
  options: e,
  selected: a,
  onChange: o,
  showError: r
}) => {
  const n = (d, m) => {
    m.target.checked ? o(a.concat(d)) : o(a.filter((p) => p !== d));
  };
  return /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
    /* @__PURE__ */ t.jsx("h2", { className: "sid-header__subtitle sid-l-space-top-md sid-l-space-btm-md", children: /* @__PURE__ */ t.jsx(
      h,
      {
        id: "experiment.step.docUpload.documentMustInclude",
        defaultMessage: "Your documents must include:"
      }
    ) }),
    /* @__PURE__ */ t.jsx("fieldset", { className: "sid-doc-requirements", children: e.map((d) => (
      // Disabling because the linter is kinda broken. the control is INSIDE THE LABEL
      // eslint-disable-next-line jsx-a11y/label-has-associated-control
      /* @__PURE__ */ t.jsxs("label", { className: "sid-doc-requirements__option", children: [
        /* @__PURE__ */ t.jsx(
          "input",
          {
            type: "checkbox",
            name: "requirements",
            value: d,
            checked: a.includes(d),
            onChange: n.bind(null, d),
            "aria-invalid": r && !a.includes(d)
          }
        ),
        /* @__PURE__ */ t.jsxs("div", { className: "sid-l-space-btm-md", children: [
          /* @__PURE__ */ t.jsx(h, { id: d }),
          r && !a.includes(d) && /* @__PURE__ */ t.jsx("div", { className: "sid-field-error", children: /* @__PURE__ */ t.jsx(
            h,
            {
              id: "step.docUpload.confirm",
              defaultMessage: "Please confirm."
            }
          ) })
        ] })
      ] })
    )) })
  ] });
}, $a = {
  [c.STUDENT]: [
    "step.docUpload.acceptableUploads.student.idCard",
    // 'School ID card with expiration date'
    "step.docUpload.acceptableUploads.student.classSchedule",
    // Class Schedule
    "step.docUpload.acceptableUploads.student.tuitionReceipt"
    // Tuition receipt
  ],
  [c.TEACHER]: [
    "step.docUpload.acceptableUploads.teacher.idCard",
    // "Teacher ID card with valid date"
    "step.docUpload.acceptableUploads.teacher.payStub"
    // "Pay stub from within last 60 days"
  ],
  [c.MEMBER]: [
    "step.docUpload.acceptableUploads.member.idCard",
    // "Membership Document"
    "step.docUpload.acceptableUploads.member.payStub"
    // "Pay stub from within last 90 days"
  ],
  [c.SENIOR]: [
    "step.docUpload.acceptableUploads.senior.birthCertificate",
    // "Your birth certificate"
    "step.docUpload.acceptableUploads.senior.driversLicense",
    // "Your drivers license"
    "step.docUpload.acceptableUploads.senior.passport",
    // "Your passport"
    "step.docUpload.acceptableUploads.senior.stateId"
    // "Your state-issued ID"
  ],
  [c.AGE]: [
    "step.docUpload.acceptableUploads.age.birthCertificate",
    // "Your birth certificate"
    "step.docUpload.acceptableUploads.age.driversLicense",
    // "Your drivers license"
    "step.docUpload.acceptableUploads.age.passport",
    // "Your passport"
    "step.docUpload.acceptableUploads.age.stateId"
    // "Your state-issued ID"
  ],
  [c.FIRST_RESPONDER]: [
    "step.docUpload.acceptableUploads.firstResponder.idCard",
    // "ID Card"
    "step.docUpload.acceptableUploads.firstResponder.payStub",
    // "Pay stub from within last 60 days"
    "step.docUpload.acceptableUploads.firstResponder.letter"
    // "An official letter"
  ],
  [c.MEDICAL]: [
    "step.docUpload.acceptableUploads.medical.licenseCertificate",
    // "Certificate of license"
    "step.docUpload.acceptableUploads.medical.idCard",
    // "Nursing ID card with expiration date"
    "step.docUpload.acceptableUploads.medical.photoPayStub"
    // "Photo ID and recent Pay Stub"
  ],
  [c.EMPLOYMENT]: [
    "step.docUpload.acceptableUploads.employment.employeeIdCard",
    // "Employee ID Card"
    "step.docUpload.acceptableUploads.employment.payStub",
    // "Pay stub from within last 60 days"
    "step.docUpload.acceptableUploads.employment.officialLetter"
    // "An official letter"
  ],
  [c.LICENSED_PROFESSIONAL]: [
    "step.docUpload.acceptableUploads.licensedProfessional.license"
    // "Certificate of license"
  ],
  [c.RECENT_MOVER]: [
    "step.docUpload.acceptableUploads.recentMover.changeOfAddress",
    // "U.S. Postal Service change of address confirmation letter"
    "step.docUpload.acceptableUploads.recentMover.mortgageDeed",
    // "Mortgage deed"
    "step.docUpload.acceptableUploads.recentMover.rentalAgreement"
    // "Lease or rental agreement"
  ],
  [c.LOW_INCOME]: [
    "step.docUpload.acceptableUploads.lowIncome.programCard",
    // "Back and front of a card showing you qualify for the selected government assistance program (for example, an EBT card for a SNAP Program)."
    "step.docUpload.acceptableUploads.lowIncome.programApprovalLetter",
    // "Approval letter of the selected government assistance program issued by a government agency (for example, a Supplemental Security Income (SSI) eligibility letter)."
    "step.docUpload.acceptableUploads.lowIncome.programApprovalScreenshot",
    // "A screenshot of the online portal of the selected government assistance program showing you qualify for it (Screenshot of your Medicaid application status on your online account)."
    "step.docUpload.acceptableUploads.lowIncome.programBankStatement"
    // "A bank statement showing recent payment of the selected benefit."
  ],
  [c.MILITARY]: [],
  [c.IDENTITY]: []
}, Ka = {
  [s.ACTIVE_DUTY]: [
    "step.docUpload.acceptableUploads.military.activeDuty",
    // "Any document that proves you are currently serving as active duty in the armed forces for 30 days or more"
    "step.docUpload.allowedDocuments",
    // "Please only upload documents you are legally allowed to provide."
    "step.docUpload.nameChanged"
    // "If your name has changed since the document was issued, upload a 2nd document showing your official name change."
  ],
  [s.VETERAN]: [
    "step.docUpload.acceptableUploads.military.veteran",
    // "Any document that proves you met the qualifications of military service and were honorably discharged"
    "step.docUpload.nameChanged"
    // "If your name has changed since the document was issued, upload a 2nd document showing your official name change."
  ],
  [s.RESERVIST]: [
    "step.docUpload.acceptableUploads.military.reservistA",
    // "Any document that shows you are currently serving in a reserve component of the armed forces"
    "step.docUpload.nameChanged"
    // "If your name has changed since the document was issued, upload a 2nd document showing your official name change."
  ],
  [s.MILITARY_RETIREE]: [
    "step.docUpload.acceptableUploads.military.retiree",
    // "Any document that proves you are a retiree from the armed forces"
    "step.docUpload.nameChanged"
    // "If your name has changed since the document was issued, upload a 2nd document showing your official name change."
  ],
  [s.MILITARY_FAMILY]: [
    "step.docUpload.acceptableUploads.military.dependent",
    // "Any document that proves you are a Registered Military Dependent"
    "step.docUpload.nameChanged"
    // "If your name has changed since the document was issued, upload a 2nd document showing your official name change."
  ],
  [s.GOLD_STAR_FAMILY]: [],
  [s.FIREFIGHTER]: [],
  [s.POLICE]: [],
  [s.EMT]: [],
  [s.NURSE]: [],
  [s.DRIVER_LICENSE]: [],
  [s.GENERAL_IDENTITY]: [],
  [s.HYBRID_IDENTITY]: [],
  [s.HOME_BUYER]: [],
  [s.OTHER_MOVER]: [],
  [s.LICENSED_COSMETOLOGIST]: [],
  [s.LICENSED_REAL_ESTATE_AGENT]: [],
  [s.VETERINARIAN]: [],
  [s.SNAP_BENEFITS]: [],
  [s.OTHER_GOVERNMENT_ASSISTANCE]: [],
  [s.CHILD_CARE_WORKER]: [],
  [s.LIBRARIAN]: [],
  [s.INTERIOR_DESIGNER]: [],
  [s.ARCHITECT]: [],
  [s.GENERAL_CONTRACTOR]: [],
  [s.NUTRITION_PROFESSIONAL]: []
};
function qa(e, a, o) {
  return [...a === s.MILITARY_FAMILY && o?.hideMilitaryFamilyAcceptableUploads ? [] : Ka[a] || [], ...$a[e] || []];
}
const Za = {
  [c.STUDENT]: [
    "step.docUpload.acceptableUploads.student.idCard",
    "step.docUpload.acceptableUploads.student.classSchedule",
    "step.docUpload.acceptableUploads.student.tuitionReceipt"
  ],
  [c.TEACHER]: [
    "step.docUpload.acceptableUploads.officialLetter",
    "step.docUpload.acceptableUploads.teacher.idCard",
    "step.docUpload.acceptableUploads.teacher.payStub"
  ],
  [c.MEDICAL]: [
    "step.docUpload.acceptableUploads.medical.idCard",
    "step.docUpload.acceptableUploads.medical.payStub",
    "step.docUpload.acceptableUploads.medical.letterEmployment"
  ],
  [c.FIRST_RESPONDER]: [
    "step.docUpload.acceptableUploads.firstResponder.idCard",
    "step.docUpload.acceptableUploads.firstResponder.letter",
    "step.docUpload.acceptableUploads.firstResponder.payStub"
  ],
  [c.MILITARY]: [],
  [c.MEMBER]: [
    "step.docUpload.acceptableUploads.member.idCard",
    "step.docUpload.acceptableUploads.member.payStub"
  ],
  [c.SENIOR]: [
    "step.docUpload.acceptableUploads.senior.birthCertificate",
    "step.docUpload.acceptableUploads.senior.driversLicense",
    "step.docUpload.acceptableUploads.senior.passport",
    "step.docUpload.acceptableUploads.senior.stateId"
  ],
  [c.AGE]: [
    "step.docUpload.acceptableUploads.senior.birthCertificate",
    "step.docUpload.acceptableUploads.senior.driversLicense",
    "step.docUpload.acceptableUploads.senior.passport",
    "step.docUpload.acceptableUploads.senior.stateId"
  ],
  [c.EMPLOYMENT]: [
    "step.docUpload.acceptableUploads.employment.employeeIdCard",
    "step.docUpload.acceptableUploads.employment.payStub",
    "step.docUpload.acceptableUploads.employment.officialLetter"
  ],
  [c.IDENTITY]: [],
  [c.LICENSED_PROFESSIONAL]: [],
  [c.RECENT_MOVER]: [
    "step.docUpload.acceptableUploads.recentMover.changeOfAddress",
    "step.docUpload.acceptableUploads.recentMover.mortgageDeed",
    "step.docUpload.acceptableUploads.recentMover.rentalAgreement"
  ],
  [c.LOW_INCOME]: [
    "step.docUpload.acceptableUploads.lowIncome.program",
    "step.docUpload.acceptableUploads.lowIncome.programApprovalLetter",
    "step.docUpload.acceptableUploads.lowIncome.programApprovalScreenshot",
    "step.docUpload.acceptableUploads.lowIncome.programBankStatement"
  ]
}, Qa = {
  [s.ACTIVE_DUTY]: [
    "step.docUpload.acceptableUploads.military.active.leaveEarningStatement",
    "step.docUpload.acceptableUploads.military.active.uniformedServicesId"
  ],
  [s.VETERAN]: [
    "step.docUpload.acceptableUploads.military.vet.dd214Form",
    "step.docUpload.acceptableUploads.military.vet.dischargeCertificate",
    "step.docUpload.acceptableUploads.military.vet.vaHealthBenefitsCard",
    "step.docUpload.acceptableUploads.military.vet.vaDigitalId",
    "step.docUpload.acceptableUploads.military.vet.driverLicenseVeteran",
    "step.docUpload.acceptableUploads.military.vet.departmentVeteranId"
  ],
  [s.RESERVIST]: [
    "step.docUpload.acceptableUploads.military.reservist.leaveEarningStatement",
    "step.docUpload.acceptableUploads.military.reservist.uniformedServicesId"
  ],
  [s.MILITARY_RETIREE]: [
    "step.docUpload.acceptableUploads.military.militaryRetiree.blueUniformedId",
    "step.docUpload.acceptableUploads.military.militaryRetiree.vaHealthBenefitsCard",
    "step.docUpload.acceptableUploads.military.militaryRetiree.retireeId",
    "step.docUpload.acceptableUploads.military.militaryRetiree.dd214Form",
    "step.docUpload.acceptableUploads.military.militaryRetiree.vaDigitalId"
  ],
  [s.MILITARY_FAMILY]: [
    "step.docUpload.acceptableUploads.military.dependent",
    // "Any document that proves you are a Registered Military Dependent"
    "step.docUpload.nameChanged"
    // "If your name has changed since the document was issued, upload a 2nd document showing your official name change."
  ],
  [s.GOLD_STAR_FAMILY]: [
    "step.docUpload.acceptableUploads.military.goldStarFamily",
    "step.docUpload.nameChanged"
  ],
  [s.FIREFIGHTER]: [],
  [s.POLICE]: [],
  [s.EMT]: [],
  [s.NURSE]: [],
  [s.DRIVER_LICENSE]: [],
  [s.GENERAL_IDENTITY]: [],
  [s.HYBRID_IDENTITY]: [],
  [s.HOME_BUYER]: [],
  [s.OTHER_MOVER]: [],
  [s.LICENSED_COSMETOLOGIST]: [
    "step.docUpload.acceptableUploads.licensedProfessional.license"
  ],
  [s.LICENSED_REAL_ESTATE_AGENT]: [
    "step.docUpload.acceptableUploads.licensedProfessional.license"
  ],
  [s.VETERINARIAN]: ["step.docUpload.acceptableUploads.licensedProfessional.license"],
  [s.SNAP_BENEFITS]: [
    "step.docUpload.acceptableUploads.lowIncome.programCard",
    "step.docUpload.acceptableUploads.lowIncome.programApprovalLetter",
    "step.docUpload.acceptableUploads.lowIncome.programApprovalScreenshot",
    "step.docUpload.acceptableUploads.lowIncome.programBankStatement"
  ],
  [s.OTHER_GOVERNMENT_ASSISTANCE]: [
    "step.docUpload.acceptableUploads.lowIncome.program",
    "step.docUpload.acceptableUploads.lowIncome.programApprovalLetter",
    "step.docUpload.acceptableUploads.lowIncome.programApprovalScreenshot",
    "step.docUpload.acceptableUploads.lowIncome.programBankStatement"
  ],
  [s.CHILD_CARE_WORKER]: [
    "step.docUpload.acceptableUploads.licensedProfessional.license"
  ],
  [s.LIBRARIAN]: [],
  [s.INTERIOR_DESIGNER]: [],
  [s.ARCHITECT]: [],
  [s.GENERAL_CONTRACTOR]: [],
  [s.NUTRITION_PROFESSIONAL]: [
    "step.docUpload.acceptableUploads.licensedProfessional.license"
  ]
}, Xa = {
  [c.STUDENT]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.institutionName",
    "step.docUpload.uploadInfo.dateCurrentYear"
  ],
  [c.TEACHER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.institutionName",
    "step.docUpload.uploadInfo.dateCurrentYear"
  ],
  [c.FIRST_RESPONDER]: ["step.docUpload.uploadInfo.fullName"],
  [c.MEDICAL]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.medical.medicalRole",
    "step.docUpload.uploadInfo.medical.validDate"
  ],
  [c.MILITARY]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.military.serviceBranch"
  ],
  [c.IDENTITY]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.dateCurrentYear"
  ],
  [c.MEMBER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.organization",
    "step.docUpload.uploadInfo.affiliation"
  ],
  [c.SENIOR]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.senior.birthDate"
  ],
  [c.AGE]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.age.birthDate"
  ],
  [c.EMPLOYMENT]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.employment.company",
    "step.docUpload.uploadInfo.employment.currentAffiliation",
    "step.docUpload.uploadInfo.medical.validDate"
  ],
  [c.LICENSED_PROFESSIONAL]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.licensedProfessional.licenseStatus",
    "step.docUpload.uploadInfo.licensedProfessional.validDate"
  ],
  [c.RECENT_MOVER]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.recentMover.address",
    "step.docUpload.uploadInfo.recentMover.validDate"
  ],
  [c.LOW_INCOME]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.lowIncome.validDate"
  ]
}, Ja = {
  [s.ACTIVE_DUTY]: ["step.docUpload.uploadInfo.military.activeDuty.status"],
  [s.VETERAN]: ["step.docUpload.uploadInfo.military.veteran.status"],
  [s.RESERVIST]: ["step.docUpload.uploadInfo.military.reservist.status"],
  [s.MILITARY_RETIREE]: ["step.docUpload.uploadInfo.military.militaryRetiree.status"],
  [s.MILITARY_FAMILY]: [
    // Overridden in SubSegmentUploadInfoOverrides
  ],
  [s.GOLD_STAR_FAMILY]: [
    // Overridden in SubSegmentUploadInfoOverrides
  ],
  [s.FIREFIGHTER]: ["step.docUpload.uploadInfo.firstResponder.firefighter.status"],
  [s.POLICE]: ["step.docUpload.uploadInfo.firstResponder.police.status"],
  [s.EMT]: ["step.docUpload.uploadInfo.firstResponder.emt.status"],
  [s.NURSE]: [],
  [s.DRIVER_LICENSE]: [],
  [s.GENERAL_IDENTITY]: [],
  [s.HYBRID_IDENTITY]: [],
  [s.HOME_BUYER]: [],
  [s.OTHER_MOVER]: [],
  [s.LICENSED_COSMETOLOGIST]: [],
  [s.LICENSED_REAL_ESTATE_AGENT]: [],
  [s.VETERINARIAN]: [],
  [s.SNAP_BENEFITS]: [],
  [s.OTHER_GOVERNMENT_ASSISTANCE]: [],
  [s.CHILD_CARE_WORKER]: [],
  [s.LIBRARIAN]: [],
  [s.INTERIOR_DESIGNER]: [],
  [s.ARCHITECT]: [],
  [s.GENERAL_CONTRACTOR]: [],
  [s.NUTRITION_PROFESSIONAL]: []
}, eo = {
  // MILITARY_FAMILY is overridden to not show branch of service.
  [s.MILITARY_FAMILY]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.military.militaryFamily.status"
  ],
  [s.GOLD_STAR_FAMILY]: [
    "step.docUpload.uploadInfo.fullName",
    "step.docUpload.uploadInfo.military.goldStarFamily.status"
  ]
};
function to(e, a) {
  return [
    .../* @__PURE__ */ new Set([
      ...Qa[a] || [],
      ...Za[e] || []
    ])
  ];
}
function ao(e, a) {
  return eo[a] || [
    .../* @__PURE__ */ new Set([
      ...Ja[a] || [],
      ...Xa[e] || []
    ])
  ];
}
const oo = "DE", dt = ({ errorId: e, erroredFileNames: a, fieldValidationErrors: o }) => e ? /* @__PURE__ */ t.jsxs("div", { className: "sid-field-error sid-field-error-redesign__doc-upload", children: [
  /* @__PURE__ */ t.jsx(
    h,
    {
      id: `errorId.${o.docUpload}`,
      defaultMessage: "No valid files"
    }
  ),
  a ? a.map((r) => /* @__PURE__ */ t.jsx("div", { className: "sid-field-error-redesign__doc-upload__span", children: r }, `error-${r}`)) : null
] }) : null, ro = ({ verificationService: e, intl: a }) => {
  const [o, r] = f.useState(!1), n = e.verificationResponse, { rejectionReasons: d, segment: m, subSegment: p, verificationId: v, locale: R, country: w } = n, { programTheme: j, programId: O } = e, x = e.viewModel, { fieldValidationErrors: L } = e, { overrideEnabled: ae } = e.programTheme, M = Ue("doc-upload-redesign-use-legacy-message-keys"), V = Ue("doc-upload-considerations"), T = (M ? ka : ao)(
    m,
    p
  ), oe = e.verificationResponse.country === "US", G = (i) => ({
    name: i.name,
    url: i.type.includes("image") ? URL.createObjectURL(i) : ""
  }), [re, F] = f.useState({}), { userDidConvert: se } = Lt({ segment: m }), I = [], q = Ue("doc-upload-may24"), b = n.segment === "student" && n.locale === "en-US" ? q : "default", k = Ue("docUpload-assertion-checklist") === "checklist", [Z, z] = f.useState([]), [D, fe] = f.useState(!1);
  jt(Dt) && I.push({
    name: "myFile.png",
    url: ""
  });
  const me = a.formatMessage({
    id: "step.docUpload.addFile",
    defaultMessage: "Add documents"
  });
  x.file1 && x.file1.name && I.push(G(x.file1)), x.file2 && x.file2.name && I.push(G(x.file2)), x.file3 && x.file3.name && I.push(G(x.file3));
  const he = I.map((i) => re[i.name]), P = (i, U) => {
    $e(Ke.DOC_UPLOAD_ADD_FILES, {
      programId: O,
      locale: R,
      verificationId: v
    }), r(!1), e.updateViewModel(Fa(x, i, U));
  }, ne = (i) => {
    $e(Ke.DOC_UPLOAD_REMOVE_FILES, {
      programId: O,
      locale: R,
      verificationId: v
    });
    const U = i + 1;
    r(!1), z([]), fe(!1), e.updateViewModel(Sa(x, U));
  }, le = L.docUpload || _t(() => e.verificationResponse.errorIds[0], void 0), ge = (i, U) => {
    const S = [], W = [], $ = [];
    for (const H of i) {
      const Ie = Ot(
        ye.docUpload,
        H,
        e.formValidationOptions
      );
      Ie === void 0 ? (U && F({ ...re, [H.name]: U }), S.push(H)) : ($.push(H.name), W.push(Ie));
    }
    let K;
    W && (K = De(L, (H) => {
      H.docUpload = W[0];
    })), e.updateFieldValidationErrors(K), P(S, $);
  }, Ee = () => {
    Me.info("StepDocUploadComponent submitting form"), fe(!0), (k && T.every((i) => Z.includes(i)) || !k) && (e.submitStep(
      ye.docUpload,
      x,
      e.verificationResponse
    ), se(Mt, kt));
  }, B = (i, U) => {
    i.length > 0 ? ge(i, U) : i.length <= 0 && Me.error(
      "No files were accepted or rejected. Unknown error.",
      ye.docUpload
    );
  }, Q = (i) => {
    B(Array.from(i.target.files));
  }, Y = (i) => {
    const U = St("addFile");
    (i.key === "Enter" || i.key === " ") && (i.preventDefault(), i.stopPropagation(), U.click());
  }, xe = async () => {
    Me.info("StepDocUploadComponent submitting form after skipping document upload");
    const i = De(x, () => {
    });
    e.submitStep(
      ye.cancelDocUpload,
      i,
      e.verificationResponse
    );
  }, X = /* @__PURE__ */ t.jsx("div", { className: "sid-upload-wrap sid-l-space-top-md sid-l-space-btm-md", children: b === "doc-type-icons" ? /* @__PURE__ */ t.jsx(t.Fragment, { children: Ha.map(
    (i) => !he.includes(i) && /* @__PURE__ */ t.jsx(
      Ga,
      {
        onFileDrop: B,
        type: i,
        style: i === "ID_CARD" && I.length === 0 ? "large" : "small"
      }
    )
  ) }) : /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
    /* @__PURE__ */ t.jsx(
      dt,
      {
        fieldValidationErrors: L,
        errorId: le,
        erroredFileNames: x.erroredFileNames
      }
    ),
    /* @__PURE__ */ t.jsx("div", { className: "sid-docdrop-wrap", children: /* @__PURE__ */ t.jsx(ue, { onDrop: (i) => B(i), accept: We.join(","), children: ({ getRootProps: i, getInputProps: U }) => /* @__PURE__ */ t.jsxs(
      "div",
      {
        ...i(),
        className: "sid-docdrop-wrap__dropzone sid-docdrop-wrap__dropzone_height",
        children: [
          /* @__PURE__ */ t.jsx("input", { ...U({ accept: We.join(",") }) }),
          /* @__PURE__ */ t.jsx(
            "button",
            {
              tabIndex: -1,
              className: "sid-btn sid-btn--dark sid-doc-upload-submit-btn sid-submit__continue border-radius",
              type: "button",
              "aria-label": me,
              children: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.addFile",
                  defaultMessage: "Add documents"
                }
              )
            }
          )
        ]
      }
    ) }) })
  ] }) });
  return /* @__PURE__ */ t.jsxs(
    "div",
    {
      id: "sid-step-doc-upload",
      className: `sid-doc-upload-redesign-container sid-l-container sid-may24-variation__${b}`,
      children: [
        /* @__PURE__ */ t.jsxs("div", { role: "main", children: [
          /* @__PURE__ */ t.jsxs("div", { className: "sid-header sid-l-space-top-md", children: [
            /* @__PURE__ */ t.jsx("div", { className: "sid-doc-upload-logo-container sid-l-horz-center", children: /* @__PURE__ */ t.jsx(At, { verificationService: e }) }),
            /* @__PURE__ */ t.jsx(Rt, { align: "start", children: /* @__PURE__ */ t.jsx(h, { id: "step.docUpload.title", tagName: "h1" }) }),
            /* @__PURE__ */ t.jsx(Nt, { verificationService: e }),
            d && d.length > 0 && /* @__PURE__ */ t.jsxs("div", { className: "sid-upload-rejection__wrapper", children: [
              /* @__PURE__ */ t.jsx("div", { className: "sid-header__subtitle-doc-upload-rejected", children: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.rejectedSubtitle",
                  defaultMessage: "We were unable to confirm your eligibility due to:"
                }
              ) }),
              /* @__PURE__ */ t.jsx("ul", { className: "sid-upload-rejection-list", children: d.map((i) => /* @__PURE__ */ t.jsx("li", { className: "sid-upload-rejection-list__li", children: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: `step.docUpload.rejectionReasons.${i}`,
                  defaultMessage: `${i}`
                }
              ) }, i)) }),
              /* @__PURE__ */ t.jsx("div", { className: "sid-upload-rejection__next-step", children: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.rejectedNextStep",
                  defaultMessage: "Please correct this and try again."
                }
              ) })
            ] })
          ] }),
          b === "doc-type-icons" && /* @__PURE__ */ t.jsx("p", { children: "Documents must be dated within the current academic year OR no more than 90 days from today" }),
          (k && I.length === 0 || !k) && /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
            /* @__PURE__ */ t.jsx("h2", { className: "sid-header__subtitle sid-l-space-btm-md sid-l-space-top-md", children: /* @__PURE__ */ t.jsx(
              h,
              {
                id: M ? "step.docUpload.uploadInstructions" : "step.docUpload.documentsMustInclude",
                defaultMessage: "Your documents must include:"
              }
            ) }),
            /* @__PURE__ */ t.jsx("ul", { className: "sid-doc-upload-requirements", children: T.map((i) => /* @__PURE__ */ t.jsx("li", { className: "sid-doc-upload-requirements__definition", children: /* @__PURE__ */ t.jsx(h, { id: i }) }, i)) }),
            m === c.AGE && w === oo && /* @__PURE__ */ t.jsx("p", { className: "sid-l-space-top-md", children: /* @__PURE__ */ t.jsx(
              h,
              {
                id: "step.docUpload.uploadInfo.age.consentDE",
                defaultMessage: "I consent to the processing and storage of my ID copy for age verification. I understand the image will automatically be saved as a copy, and that I am entitled to black out the serial number before uploading."
              }
            ) })
          ] }),
          I.length === 0 && X,
          I.length > 0 ? /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
            /* @__PURE__ */ t.jsxs("div", { className: "sid-file-list sid-l-space-top-md", children: [
              I.map((i, U) => /* @__PURE__ */ t.jsxs("div", { className: "sid-file-list__file", children: [
                /* @__PURE__ */ t.jsx("div", { className: "sid-file-list__thumbnail-wrapper", children: i.url ? /* @__PURE__ */ t.jsx(
                  "img",
                  {
                    className: "sid-file-list__thumbnail border-radius",
                    src: i.url,
                    alt: "File thumbnail"
                  }
                ) : /* @__PURE__ */ t.jsx("div", { className: "sid-file-list__no-thumbnail", children: /* @__PURE__ */ t.jsx(
                  "img",
                  {
                    alt: "File thumbnail",
                    src: "https://assets-resources.sheerid.com/common/images/2018/icons/default-image.svg"
                  }
                ) }) }),
                /* @__PURE__ */ t.jsxs("div", { className: "sid-file-list__name-wrapper", children: [
                  /* @__PURE__ */ t.jsx("div", { className: "sid-file-list__name", title: i.name, children: i.name }),
                  /* @__PURE__ */ t.jsx(
                    "div",
                    {
                      role: "button",
                      tabIndex: 0,
                      "aria-label": `Remove file ${i.name}`,
                      className: "sid-file-list__remove-btn",
                      onClick: () => ne(U),
                      onKeyPress: () => ne(U)
                    }
                  )
                ] })
              ] }, i.name)),
              I.length < Ve && b !== "doc-type-icons" && /* @__PURE__ */ t.jsx(t.Fragment, { children: o ? /* @__PURE__ */ t.jsx("div", { className: "sid-add-more-files", children: X }) : /* @__PURE__ */ t.jsx("div", { className: "sid-file-list__file", children: /* @__PURE__ */ t.jsx("div", { className: "sid-file-list__thumbnail-wrapper thumbnail_wrapper_width", children: /* @__PURE__ */ t.jsxs(
                "label",
                {
                  className: "sid-docdrop-wrap__dropzone thumbnail_wrapper",
                  htmlFor: "sid-take-photo-input",
                  role: "button",
                  onKeyUp: (i) => Y(i),
                  tabIndex: 0,
                  children: [
                    /* @__PURE__ */ t.jsx(Ht, { className: "sid-uploadzone__icon", width: "16px" }),
                    /* @__PURE__ */ t.jsx("p", { className: "sid-docdrop-wrap__instructions thumbnail_wrapper-text", children: /* @__PURE__ */ t.jsx(
                      h,
                      {
                        id: "step.docUpload.addFile",
                        defaultMessage: "Add documents"
                      }
                    ) }),
                    /* @__PURE__ */ t.jsx(
                      "input",
                      {
                        onChange: Q,
                        type: "file",
                        id: "sid-take-photo-input",
                        hidden: !0,
                        accept: "image/jpeg,image/png,application/pdf",
                        multiple: !0,
                        ref: (i) => wt("addFile", i)
                      }
                    )
                  ]
                }
              ) }) }) })
            ] }),
            /* @__PURE__ */ t.jsx(
              dt,
              {
                fieldValidationErrors: L,
                errorId: le,
                erroredFileNames: x.erroredFileNames
              }
            ),
            k && I.length >= 1 && /* @__PURE__ */ t.jsx(
              Wa,
              {
                options: T,
                selected: Z,
                onChange: z,
                showError: D
              }
            ),
            /* @__PURE__ */ t.jsx("div", { className: "sid-submit sid-doc-upload-submit sid-l-space-top-md sid-submit-doc-upload_pb", children: /* @__PURE__ */ t.jsx(
              "button",
              {
                id: "sid-submit-doc-upload",
                onClick: Ee,
                type: "submit",
                className: "sid-btn sid-btn--dark sid-doc-upload-submit-btn sid-submit__continue border-radius",
                "aria-disabled": I.length <= 0 || k && !T.every((i) => Z.includes(i)),
                children: b === "doc-type-icons" ? /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "_EXPERIMENTAL-VARIATION.step.docUpload.submitButtonLabel",
                    defaultMessage: `Upload {count, plural,
                  one {document}
                  two {documents}
                  other {documents}
                }`,
                    values: { count: I.length }
                  }
                ) : /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "step.docUpload.submitButtonLabel",
                    defaultMessage: "Submit",
                    values: { count: I.length }
                  }
                )
              }
            ) })
          ] }) : null,
          b === "doc-type-icons" ? /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
            I.length > 0 && I.length < 2 && /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
              /* @__PURE__ */ t.jsx(za, { children: "Add another document" }),
              X
            ] }),
            /* @__PURE__ */ t.jsx("h3", { children: "FAQ" }),
            /* @__PURE__ */ t.jsx(ce, { id: "suggestedDocs", title: "What information is needed?", children: /* @__PURE__ */ t.jsx("ul", { className: "sid-doc-upload-requirements", children: T.map((i) => /* @__PURE__ */ t.jsx("li", { className: "sid-doc-upload-requirements__definition", children: /* @__PURE__ */ t.jsx(h, { id: i }) }, i)) }) })
          ] }) : /* @__PURE__ */ t.jsxs(t.Fragment, { children: [
            V === "add-doc-considerations" && oe && (p === "activeDuty" || p === "reservist") && /* @__PURE__ */ t.jsx(
              ce,
              {
                id: "docConsiderations",
                title: /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "experiment.step.docUpload.documentConsiderations",
                    defaultMessage: "Document considerations"
                  }
                ),
                defaultState: "open",
                children: /* @__PURE__ */ t.jsx("span", { className: "sid-doc-upload-considerations", children: /* @__PURE__ */ t.jsxs("p", { children: [
                  /* @__PURE__ */ t.jsx("strong", { children: /* @__PURE__ */ t.jsx(
                    h,
                    {
                      id: "step.docUpload.acceptableUploads.doNotUploadMilitaryIdTitle",
                      defaultMessage: "Do not upload a photo of your military ID."
                    }
                  ) }),
                  " ",
                  /* @__PURE__ */ t.jsx(
                    h,
                    {
                      id: "step.docUpload.acceptableUploads.doNotUploadMilitaryIdContent",
                      defaultMessage: "In accordance with federal law, SheerID does not accept submissions of active duty/reservist military ID cards."
                    }
                  )
                ] }) })
              }
            ),
            /* @__PURE__ */ t.jsxs(
              ce,
              {
                id: "suggestedDocs",
                title: /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "step.docUpload.suggestedDocumentTypes",
                    defaultMessage: "Suggested document types"
                  }
                ),
                defaultState: b === "checkbox-requirements" ? "closed" : "open",
                children: [
                  M && /* @__PURE__ */ t.jsx(h, { id: "step.docUpload.acceptableUploadExamples" }),
                  /* @__PURE__ */ t.jsxs("ul", { className: "sid-acceptable-document-types", children: [
                    (M ? qa : to)(
                      m,
                      p
                    ).map((i) => /* @__PURE__ */ t.jsx("li", { className: "sid-acceptable-document-types__item", children: /* @__PURE__ */ t.jsx(h, { id: i }) }, i)),
                    /* @__PURE__ */ t.jsx("li", { className: "sid-acceptable-document-types__item", children: /* @__PURE__ */ t.jsx(h, { id: "step.docUpload.acceptedTypes" }) })
                  ] }),
                  V !== "add-doc-considerations" && oe && (p === "activeDuty" || p === "reservist") && /* @__PURE__ */ t.jsx("div", { className: "sid-acceptable-document-types", children: /* @__PURE__ */ t.jsxs("p", { children: [
                    /* @__PURE__ */ t.jsx("span", { className: "display-block", children: /* @__PURE__ */ t.jsx("strong", { children: /* @__PURE__ */ t.jsx(
                      h,
                      {
                        id: "step.docUpload.acceptableUploads.doNotUploadMilitaryIdTitle",
                        defaultMessage: "Do not upload a photo of your military ID."
                      }
                    ) }) }),
                    /* @__PURE__ */ t.jsx(
                      h,
                      {
                        id: "step.docUpload.acceptableUploads.doNotUploadMilitaryIdContent",
                        defaultMessage: "In accordance with federal law, SheerID does not accept submissions of active duty/reservist military ID cards."
                      }
                    )
                  ] }) })
                ]
              }
            )
          ] }),
          /* @__PURE__ */ t.jsxs(
            ce,
            {
              id: "whatHappensNext",
              title: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.whatHappensNext",
                  defaultMessage: "What happens next?"
                }
              ),
              children: [
                /* @__PURE__ */ t.jsx("p", { children: /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "step.docUpload.whoIsSheerId",
                    defaultMessage: `Document review is handled by SheerID, a trusted partner who specializes in verifying
            students.`
                  }
                ) }),
                /* @__PURE__ */ t.jsx("p", { children: /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "step.docUpload.documentReviewProcess",
                    defaultMessage: "SheerID staff will review the documents for authenticity and compare the information in the documents against the information you provided."
                  }
                ) }),
                /* @__PURE__ */ t.jsx("p", { children: /* @__PURE__ */ t.jsx(
                  h,
                  {
                    id: "step.docUpload.reviewTime",
                    defaultMessage: "Expected review time is {estimatedWaitTime}.",
                    values: {
                      estimatedWaitTime: Ct(n, j, a).estReviewTime
                    }
                  }
                ) }),
                /* @__PURE__ */ t.jsx("p", { children: /* @__PURE__ */ t.jsx(Tt, { verificationService: e }) })
              ]
            }
          ),
          /* @__PURE__ */ t.jsx(
            ce,
            {
              id: "canIFinishLater",
              title: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.canIFinishLater",
                  defaultMessage: "Can I finish later?"
                }
              ),
              children: /* @__PURE__ */ t.jsx("p", { children: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.canIFinishLaterDetails",
                  defaultMessage: "Yes, If you don't finish now, we'll automatically send an email to the address you provided with a link back to this step."
                }
              ) })
            }
          ),
          ae && /* @__PURE__ */ t.jsx("div", { className: "sid-submit sid-override-submit sid-l-space-top-sm", children: /* @__PURE__ */ t.jsx(
            "a",
            {
              href: "#",
              className: "sid-link sid-override-link",
              onClick: () => xe(),
              role: "button",
              children: /* @__PURE__ */ t.jsx(
                h,
                {
                  id: "step.docUpload.cancelDocUploadLabel",
                  defaultMessage: "Click here if you are unable to verify with a document"
                }
              )
            }
          ) })
        ] }),
        /* @__PURE__ */ t.jsx(Ft, { verificationService: e, showShield: !1 })
      ]
    }
  );
}, lo = vt(ro);
export {
  lo as default
};
